File libpt2-gcc5-fixes.patch of Package libpt2

--- ptlib-2.10.10/include/ptlib/critsec.h
+++ ptlib-2.10.10/include/ptlib/critsec.h
@@ -40,7 +40,7 @@ 
 #if P_HAS_ATOMIC_INT
 
 #if defined(__GNUC__)
-#  if __GNUC__ >= 4 && __GNUC_MINOR__ >= 2
+#  if __GNUC__ > 4  || (__GNUC__ == 4 && __GNUC_MINOR__ >= 2)
 #     include <ext/atomicity.h>
 #  else
 #     include <bits/atomicity.h>